allocate_voice(3)

NAME
allocate_voice - Allocates a soundcard voice for a sample. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int allocate_voice(const SAMPLE *spl);

DESCRIPTION
Allocates a soundcard voice and prepares it for playing the specified sample, setting up sensible default parameters (maximum volume, centre pan, no change of pitch, no looping). When you are finished with the voice you must free it by calling deallocate_voice() or release_voice(). Allegro can manage up to 256 simultaneous voices, but that limit may be lower due to hardware reasons.

RETURN VALUE
Returns the voice number, or -1 if no voices are available.

SEE ALSO
deallocate_voice(3), reallocate_voice(3), release_voice(3), load_sample(3)